-- Persistent Data
local shared = {
{};
} -- shared
shared[1]["Name"] = "Jasmine (48kHz)";
shared[1]["Build"] = 25;
shared[1]["Status"] = "stable";
shared[1]["Patch"] = 0;
shared[1]["String"] = "0.3.25 (stable)";
shared[1]["Major"] = 0;
shared[1]["Minor"] = 3;
local obj1 = {
	["hasUserTitle"] = true;
	["activeView"] = "expanded";
	["firmwareVersion"] = shared[1];
	["controls"] = {
		["sign"] = {
			["gainEncoderState"] = "Coarse";
		};
		["input"] = {
			["gainEncoderState"] = "Coarse";
		};
		["Bpm"] = {
			["gainEncoderState"] = "Coarse";
		};
		["div"] = {
			["gainEncoderState"] = "Coarse";
		};
		["rate"] = {
			["gainEncoderState"] = "Coarse";
		};
	};
	["lastPresetPath"] = "1:/ER-301/v0.3/presets/units/custom-units";
	["title"] = "Metronome";
	["customizations"] = {
		[1] = {
			["controlName"] = "div";
			["controlType"] = "linear";
			["description"] = "Linear";
		};
		[2] = {
			["controlName"] = "Bpm";
			["controlType"] = "linear";
			["description"] = "Linear";
		};
		[3] = {
			["controlName"] = "rate";
			["controlType"] = "linear";
			["description"] = "Linear";
		};
		[4] = {
			["controlName"] = "sign";
			["controlType"] = "linear";
			["description"] = "Linear";
		};
		[5] = {
			["controlName"] = "input";
			["controlType"] = "linear";
			["description"] = "Linear";
		};
	};
	["patch"] = {
		["selection"] = {
			["spot"] = 3;
			["section"] = 3;
			["view"] = "expanded";
		};
		["firmwareVersion"] = shared[1];
		["units"] = {
			[1] = {
				["hasUserTitle"] = true;
				["activeView"] = "expanded";
				["firmwareVersion"] = shared[1];
				["controls"] = {
				};
				["title"] = "const";
				["solo"] = false;
				["objects"] = {
					["gain"] = {
						["params"] = {
							["Gain"] = 1.0;
						};
					};
				};
				["unitVersion"] = 1;
				["loadInfo"] = {
					["moduleName"] = "MixerUnit";
					["keywords"] = "mixing, routing";
					["libraryName"] = "builtins";
					["id"] = "MixerUnit";
					["title"] = "Mixer Channel";
					["category"] = "Essentials";
				};
				["branches"] = {
					["input"] = {
						["selection"] = {
							["spot"] = 2;
							["section"] = 1;
							["view"] = "expanded";
						};
						["channels"] = {
							["count"] = 1;
							["inputs"] = {
							};
						};
						["units"] = {
							[1] = {
								["activeView"] = "expanded";
								["firmwareVersion"] = shared[1];
								["controls"] = {
									["shift"] = {
										["gainEncoderState"] = "Coarse";
									};
									["slice"] = {
										["gainEncoderState"] = "Coarse";
									};
									["wave"] = {
										["gain"] = 0;
										["time"] = 9.996;
									};
								};
								["samplePosition"] = 844;
								["activeSliceShift"] = 0;
								["activeSliceIndex"] = 0;
								["loadInfo"] = {
									["moduleName"] = "Player.Raw";
									["keywords"] = "sampling, source";
									["libraryName"] = "builtins";
									["id"] = "Player.Raw";
									["title"] = "Raw Player";
									["category"] = "Sample Playback";
								};
								["unitVersion"] = 1;
								["objects"] = {
									["edge"] = {
										["options"] = {
											["State"] = 0;
										};
										["params"] = {
											["Threshold"] = 0.1;
										};
									};
									["shift"] = {
										["params"] = {
											["Gain"] = 0.0;
											["Bias"] = 0.0;
										};
									};
									["head"] = {
										["options"] = {
											["Routing"] = 1;
											["Polarity"] = 2;
											["Address"] = 2;
											["How Often"] = 1;
											["How Much"] = 2;
										};
										["params"] = {
											["Fade Time"] = 0.002;
										};
									};
									["slice"] = {
										["params"] = {
											["Gain"] = 0.0;
											["Bias"] = 0.0;
										};
									};
								};
								["branches"] = {
									["trig"] = {
										["selection"] = {
											["spot"] = 0;
											["section"] = 0;
											["view"] = "default";
										};
										["channels"] = {
											["count"] = 1;
											["inputs"] = {
												[1] = "Bpm";
											};
										};
										["units"] = {
										};
										["firmwareVersion"] = shared[1];
									};
								};
								["sample"] = {
									["opts"] = {
										["type"] = "single";
									};
									["path"] = "1:/ER-301/samples/drums/RimWoodPulse-DanceDrums/kit 1237.wav";
									["slices"] = {
										["path"] = "1:/ER-301/samples/drums/RimWoodPulse-DanceDrums/kit 1237.slc";
										["rate"] = 44100.0;
									};
								};
								["bypass"] = false;
							};
						};
						["firmwareVersion"] = shared[1];
					};
				};
				["mute"] = false;
				["bypass"] = false;
			};
			[2] = {
				["hasUserTitle"] = true;
				["activeView"] = "expanded";
				["firmwareVersion"] = shared[1];
				["controls"] = {
				};
				["title"] = "base";
				["solo"] = false;
				["objects"] = {
					["gain"] = {
						["params"] = {
							["Gain"] = 0.6309574;
						};
					};
				};
				["unitVersion"] = 1;
				["loadInfo"] = {
					["moduleName"] = "MixerUnit";
					["keywords"] = "mixing, routing";
					["libraryName"] = "builtins";
					["id"] = "MixerUnit";
					["title"] = "Mixer Channel";
					["category"] = "Essentials";
				};
				["branches"] = {
					["input"] = {
						["selection"] = {
							["spot"] = 2;
							["section"] = 1;
							["view"] = "expanded";
						};
						["channels"] = {
							["count"] = 1;
							["inputs"] = {
							};
						};
						["units"] = {
							[1] = {
								["activeView"] = "expanded";
								["firmwareVersion"] = shared[1];
								["controls"] = {
									["shift"] = {
										["gainEncoderState"] = "Coarse";
									};
									["slice"] = {
										["gainEncoderState"] = "Coarse";
									};
									["wave"] = {
										["gain"] = 0;
										["time"] = 9.996;
									};
								};
								["samplePosition"] = 26824;
								["activeSliceShift"] = 0;
								["activeSliceIndex"] = 0;
								["loadInfo"] = {
									["moduleName"] = "Player.Raw";
									["keywords"] = "sampling, source";
									["libraryName"] = "builtins";
									["id"] = "Player.Raw";
									["title"] = "Raw Player";
									["category"] = "Sample Playback";
								};
								["unitVersion"] = 1;
								["objects"] = {
									["edge"] = {
										["options"] = {
											["State"] = 0;
										};
										["params"] = {
											["Threshold"] = 0.1;
										};
									};
									["shift"] = {
										["params"] = {
											["Gain"] = 0.0;
											["Bias"] = 0.0;
										};
									};
									["head"] = {
										["options"] = {
											["Routing"] = 1;
											["Polarity"] = 2;
											["Address"] = 2;
											["How Often"] = 1;
											["How Much"] = 2;
										};
										["params"] = {
											["Fade Time"] = 0.002;
										};
									};
									["slice"] = {
										["params"] = {
											["Gain"] = 0.0;
											["Bias"] = 0.0;
										};
									};
								};
								["branches"] = {
									["trig"] = {
										["selection"] = {
											["spot"] = 3;
											["section"] = 2;
											["view"] = "expanded";
										};
										["channels"] = {
											["count"] = 1;
											["inputs"] = {
												[1] = "Bpm";
											};
										};
										["units"] = {
											[1] = {
												["branches"] = {
													["divider"] = {
														["selection"] = {
															["spot"] = 0;
															["section"] = 2;
															["view"] = "default";
														};
														["channels"] = {
															["count"] = 1;
															["inputs"] = {
																[1] = "sign";
															};
														};
														["units"] = {
															[1] = {
																["branches"] = {
																};
																["activeView"] = "expanded";
																["firmwareVersion"] = shared[1];
																["unitVersion"] = 2;
																["loadInfo"] = {
																	["moduleName"] = "Quantizer.GridQuantizerUnit";
																	["keywords"] = "effect";
																	["libraryName"] = "builtins";
																	["id"] = "Quantizer.GridQuantizerUnit";
																	["title"] = "Grid Quantizer";
																	["category"] = "Mapping and Control";
																};
																["objects"] = {
																	["quantizer"] = {
																		["params"] = {
																			["Post-Scale"] = 1.0;
																			["Pre-Scale"] = 1.0;
																		};
																	};
																	["levels"] = {
																		["params"] = {
																			["Gain"] = 0.0;
																			["Bias"] = 3.0;
																		};
																	};
																};
																["controls"] = {
																	["levels"] = {
																		["gainEncoderState"] = "Coarse";
																	};
																};
																["bypass"] = false;
															};
														};
														["firmwareVersion"] = shared[1];
													};
												};
												["activeView"] = "expanded";
												["firmwareVersion"] = shared[1];
												["unitVersion"] = 1;
												["loadInfo"] = {
													["moduleName"] = "Timing.TapTempoUnit";
													["keywords"] = "measure, source, timing";
													["libraryName"] = "builtins";
													["id"] = "Timing.TapTempoUnit";
													["title"] = "Tap Tempo";
													["category"] = "Timing";
												};
												["objects"] = {
													["tapEdge"] = {
														["options"] = {
															["State"] = 0;
														};
														["params"] = {
															["Threshold"] = 0.1;
														};
													};
													["divider"] = {
														["params"] = {
															["Gain"] = 0.4399996;
															["Bias"] = 4.0;
														};
													};
													["clock"] = {
														["options"] = {
															["Rational"] = 1;
														};
													};
													["syncEdge"] = {
														["options"] = {
															["State"] = 0;
														};
														["params"] = {
															["Threshold"] = 0.1;
														};
													};
													["tap"] = {
														["params"] = {
															["Base Period"] = 0.5817292;
															["Base Frequency"] = 1.719013;
														};
													};
													["multiplier"] = {
														["params"] = {
															["Gain"] = 0.0;
															["Bias"] = 1.0;
														};
													};
													["width"] = {
														["params"] = {
															["Gain"] = 0.0;
															["Bias"] = 0.5;
														};
													};
												};
												["controls"] = {
													["width"] = {
														["gainEncoderState"] = "Coarse";
													};
													["mult"] = {
														["gainEncoderState"] = "Coarse";
													};
													["div"] = {
														["gainEncoderState"] = "Coarse";
													};
												};
												["bypass"] = false;
											};
											[2] = {
												["branches"] = {
													["clock"] = {
														["selection"] = {
															["spot"] = 1;
															["section"] = 0;
															["view"] = "default";
														};
														["channels"] = {
															["count"] = 1;
															["inputs"] = {
																[1] = "Bpm";
															};
														};
														["units"] = {
														};
														["firmwareVersion"] = shared[1];
													};
												};
												["activeView"] = "expanded";
												["firmwareVersion"] = shared[1];
												["unitVersion"] = 1;
												["loadInfo"] = {
													["moduleName"] = "Timing.QuantizeToClock";
													["keywords"] = "effect, timing";
													["libraryName"] = "builtins";
													["id"] = "Timing.QuantizeToClock";
													["title"] = "Quantize to Clock";
													["category"] = "Timing";
												};
												["objects"] = {
													["inputEdge"] = {
														["options"] = {
															["State"] = 0;
														};
														["params"] = {
															["Threshold"] = 0.1;
														};
													};
													["clockEdge"] = {
														["options"] = {
															["State"] = 0;
														};
														["params"] = {
															["Threshold"] = 0.1;
														};
													};
												};
												["controls"] = {
												};
												["bypass"] = false;
											};
										};
										["firmwareVersion"] = shared[1];
									};
								};
								["sample"] = {
									["opts"] = {
										["type"] = "single";
									};
									["path"] = "1:/ER-301/samples/drums/RimWoodPulse-DanceDrums/kit 1245.wav";
									["slices"] = {
										["path"] = "1:/ER-301/samples/drums/RimWoodPulse-DanceDrums/kit 1245.slc";
										["rate"] = 44100.0;
									};
								};
								["bypass"] = false;
							};
						};
						["firmwareVersion"] = shared[1];
					};
				};
				["mute"] = false;
				["bypass"] = false;
			};
			[3] = {
				["branches"] = {
				};
				["activeView"] = "expanded";
				["firmwareVersion"] = shared[1];
				["unitVersion"] = 1;
				["loadInfo"] = {
					["moduleName"] = "LadderFilterUnit";
					["keywords"] = "filter, pitch";
					["libraryName"] = "builtins";
					["id"] = "LadderFilterUnit";
					["title"] = "Ladder LPF";
					["category"] = "Filtering";
				};
				["objects"] = {
					["res"] = {
						["params"] = {
							["Gain"] = 0.0;
							["Bias"] = 0.0;
						};
					};
					["f0"] = {
						["params"] = {
							["Gain"] = 0.0;
							["Bias"] = 1661.219;
						};
					};
					["tune"] = {
						["params"] = {
							["Offset"] = 0.0;
						};
					};
				};
				["controls"] = {
					["freq"] = {
						["gainEncoderState"] = "Coarse";
					};
					["resonance"] = {
						["gainEncoderState"] = "Coarse";
					};
				};
				["bypass"] = false;
			};
		};
	};
	["branches"] = {
		["sign"] = {
			["selection"] = {
				["spot"] = 1;
				["section"] = 0;
				["view"] = "default";
			};
			["channels"] = {
				["count"] = 1;
				["inputs"] = {
					[1] = "D3";
				};
			};
			["units"] = {
			};
			["firmwareVersion"] = shared[1];
		};
		["input"] = {
			["selection"] = {
				["spot"] = 1;
				["section"] = 0;
				["view"] = "default";
			};
			["channels"] = {
				["count"] = 1;
				["inputs"] = {
					[1] = "D2";
				};
			};
			["units"] = {
			};
			["firmwareVersion"] = shared[1];
		};
		["Bpm"] = {
			["selection"] = {
				["spot"] = 6;
				["section"] = 1;
				["view"] = "div";
			};
			["channels"] = {
				["count"] = 1;
				["inputs"] = {
					[1] = "D2";
				};
			};
			["units"] = {
				[1] = {
					["branches"] = {
						["tempo"] = {
							["selection"] = {
								["spot"] = 1;
								["section"] = 0;
								["view"] = "default";
							};
							["channels"] = {
								["count"] = 1;
								["inputs"] = {
									[1] = "rate";
								};
							};
							["units"] = {
							};
							["firmwareVersion"] = shared[1];
						};
						["divider"] = {
							["selection"] = {
								["spot"] = 2;
								["section"] = 1;
								["view"] = "expanded";
							};
							["channels"] = {
								["count"] = 1;
								["inputs"] = {
								};
							};
							["units"] = {
								[1] = {
									["branches"] = {
										["offset"] = {
											["selection"] = {
												["spot"] = 1;
												["section"] = 0;
												["view"] = "default";
											};
											["channels"] = {
												["count"] = 1;
												["inputs"] = {
													[1] = "div";
												};
											};
											["units"] = {
											};
											["firmwareVersion"] = shared[1];
										};
									};
									["activeView"] = "expanded";
									["firmwareVersion"] = shared[1];
									["unitVersion"] = 1;
									["loadInfo"] = {
										["moduleName"] = "OffsetUnit";
										["keywords"] = "utility";
										["libraryName"] = "builtins";
										["id"] = "OffsetUnit";
										["title"] = "Offset";
										["category"] = "Essentials";
									};
									["objects"] = {
										["gainbias"] = {
											["params"] = {
												["Gain"] = 1.0;
												["Bias"] = 0.0;
											};
										};
									};
									["controls"] = {
										["offset"] = {
											["gainEncoderState"] = "Coarse";
										};
									};
									["bypass"] = false;
								};
							};
							["firmwareVersion"] = shared[1];
						};
					};
					["activeView"] = "div";
					["firmwareVersion"] = shared[1];
					["unitVersion"] = 1;
					["loadInfo"] = {
						["moduleName"] = "Timing.ClockInBPM";
						["keywords"] = "source, timing";
						["libraryName"] = "builtins";
						["id"] = "Timing.ClockInBPM";
						["title"] = "Clock (BPM)";
						["category"] = "Timing";
					};
					["objects"] = {
						["syncEdge"] = {
							["options"] = {
								["State"] = 1;
							};
							["params"] = {
								["Threshold"] = 0.1;
							};
						};
						["width"] = {
							["params"] = {
								["Gain"] = 0.0;
								["Bias"] = 0.26;
							};
						};
						["multiplier"] = {
							["params"] = {
								["Gain"] = 0.0;
								["Bias"] = 1.0;
							};
						};
						["tempo"] = {
							["params"] = {
								["Gain"] = 10.0;
								["Bias"] = 250.0;
							};
						};
						["clock"] = {
							["options"] = {
								["Rational"] = 1;
							};
						};
						["divider"] = {
							["params"] = {
								["Gain"] = 1.08;
								["Bias"] = 1.0;
							};
						};
					};
					["controls"] = {
						["mult"] = {
							["gainEncoderState"] = "Coarse";
						};
						["width"] = {
							["gainEncoderState"] = "Coarse";
						};
						["div"] = {
							["gainEncoderState"] = "Coarse";
						};
						["tempo"] = {
							["gainEncoderState"] = "Coarse";
						};
					};
					["bypass"] = false;
				};
			};
			["firmwareVersion"] = shared[1];
		};
		["rate"] = {
			["selection"] = {
				["spot"] = 1;
				["section"] = 0;
				["view"] = "default";
			};
			["channels"] = {
				["count"] = 1;
				["inputs"] = {
					[1] = "A2";
				};
			};
			["units"] = {
				[1] = {
					["branches"] = {
						["offset"] = {
							["selection"] = {
								["spot"] = 1;
								["section"] = 0;
								["view"] = "default";
							};
							["channels"] = {
								["count"] = 1;
								["inputs"] = {
									[1] = "A2";
								};
							};
							["units"] = {
							};
							["firmwareVersion"] = shared[1];
						};
					};
					["activeView"] = "expanded";
					["firmwareVersion"] = shared[1];
					["unitVersion"] = 1;
					["loadInfo"] = {
						["moduleName"] = "OffsetUnit";
						["keywords"] = "utility";
						["libraryName"] = "builtins";
						["id"] = "OffsetUnit";
						["title"] = "Offset";
						["category"] = "Essentials";
					};
					["objects"] = {
						["gainbias"] = {
							["params"] = {
								["Gain"] = 5.0;
								["Bias"] = 0.0;
							};
						};
					};
					["controls"] = {
						["offset"] = {
							["gainEncoderState"] = "Coarse";
						};
					};
					["bypass"] = false;
				};
			};
			["firmwareVersion"] = shared[1];
		};
	};
	["unitVersion"] = 1;
	["loadInfo"] = {
		["moduleName"] = "Custom";
		["keywords"] = "utility, effect, source, custom";
		["libraryName"] = "builtins";
		["id"] = "Custom";
		["title"] = "Custom Unit";
		["category"] = "Containers";
	};
	["objects"] = {
		["rate_gainbias"] = {
			["params"] = {
				["Gain"] = 10.0;
				["Bias"] = 0.0;
			};
		};
		["sign_gainbias"] = {
			["params"] = {
				["Gain"] = 3.0;
				["Bias"] = 2.06;
			};
		};
		["input_gainbias"] = {
			["params"] = {
				["Gain"] = 0.0;
				["Bias"] = 0.0;
			};
		};
		["Bpm_gainbias"] = {
			["params"] = {
				["Gain"] = 1.0;
				["Bias"] = 0.0;
			};
		};
		["div_gainbias"] = {
			["params"] = {
				["Gain"] = 1.0;
				["Bias"] = 1.08;
			};
		};
	};
	["lastPresetFilename"] = "Metronome.lua";
	["bypass"] = false;
}
return obj1
